part of 'stylight.dart';

const double grid = 8;

class GridPadding extends StatelessWidget {

  final Widget child;

  final double multiple;

  final bool top;
  final bool bottom;
  final bool left;
  final bool right;

  GridPadding({@required this.child, this.top = true, this.bottom = true, this.left = true, this.right = true, this.multiple = 1});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(left: left?grid*multiple:0, right: right?grid*multiple:0, top: top?grid*multiple:0, bottom: bottom?grid*multiple:0),
      child: child,
    );
  }
}
